{% load i18n sniplates %}


{% block input %}
{% if show_label %}<label>{{ label }}{% endif %}
<input type="{{ input_type|default:"text" }}"
    name="{{ html_name }}"
    id="{{ id }}"
    value="{{ raw_value|default:"" }}"
    class="{{ css_classes }} {{ tooltip|yesno:"has-tip," }}"
    {{ widget.attrs|flatattrs }}
    {{ required|yesno:"required," }}
    {{ tooltip|yesno:"data-tooltip," }}
    {% if tooltip %}title="{{ tooltip }}"{% endif %}
    {% if placeholder %}placeholder="{{ placeholder }}"{% endif %}
>
{% if not hide_errors %}{% reuse "field_errors" %}{% endif %}
{% if show_label %}</label>{% endif %}
{% endblock %}

{% block TextInput %}{% reuse "input" %}{% endblock %}
{% block EmailInput %}{% reuse "input" input_type="email" %}{% endblock %}
{% block PasswordInput %}{% reuse "input" input_type="password" value="" %}{% endblock %}
{% block NumberInput %}{% reuse "input" input_type="number" %}{% endblock %}
{% block HiddenInput %}{% reuse "input" input_type="hidden" label="" %}{% endblock %}


{% block Textarea %}
{% if show_label %}<label>{{ label }}{% endif %}
<textarea name="{{ html_name }}"
    id="{{ id }}"
    class="{{ css_classes }} {{ tooltip|yesno:"has-tip," }}"
    rows={{ rows|default:"5" }}
    {{ widget.attrs|flatattrs }}
    {{ required|yesno:"required," }}
    {{ tooltip|yesno:"data-tooltip," }}
    {% if tooltip %}title="{{ tooltip }}"{% endif %}
    {% if placeholder %}placeholder="{{ placeholder }}"{% endif %}
>{{ raw_value|default:"" }}</textarea>
{% if not hide_errors %}{% reuse "field_errors" %}{% endif %}
{% if show_label %}</label>{% endif %}
{% endblock %}


{% block Switch %}
<div class="switch {{ css_classes }}">
  <input class="switch-input" id="{{ id }}" type="checkbox" name="{{ html_name }}" {{ form_field.value|yesno:'checked,' }}>
  <label class="switch-paddle" for="{{ form_field.id_for_label }}">
    <span class="show-for-sr">{{ form_field.label }}</span>
  </label>
</div>
{% endblock %}


{% block Select %}
{% if show_label %}<label>{{ label }}{% endif %}
<select
  name="{{ html_name }}"
  id="{{ id }}"
  class="{{ css_classes }}"
  {{ widget.attrs|flatattrs }}
>
  {% for choice in choices %}
    {% if choice.is_group %}
      <optgroup label="{{ choice.value }}">
        {% for val, display in choice.display %}
          {% reuse '_select_option' val=val value=value display=display %}
        {% endfor %}
      </optgroup>
    {% else %}
      {% reuse '_select_option' val=choice.value value=value display=choice.display %}
    {% endif %}
  {% endfor %}
</select>
{% if show_label %}</label>{% endif %}
{% endblock %}

{% block _select_option %}
<option value="{{ val }}" {% if val == value|default:None %}selected{% endif %}>{{ display }}</option>
{% endblock %}


{% block _errors %}
<div id="{{ id }}_errors">
{% if errors %}
  <div class="callout alert small error" data-closable data-close>
    {% for error in errors %}
      {{ error }}
    {% endfor %}
  </div>
{% endif %}
</div>
{% endblock %}

{% block field_errors %}{% reuse "_errors" %}{% endblock %}
{% block form_errors %}{% reuse "_errors" errors=form.non_field_errors id="id_form" %}{% endblock %}


{% block InputGroup %}
<div class="input-group">
  <span class="input-group-label">{{ label }}</span>
  {{ content }}
</div>
{% endblock %}
